WESNOTH(6)

NOME
wesnoth - Battle for Wesnoth, um jogo de fantasia e estratégia em turnos

SINOPSE
wesnoth [opções] [diretório_de_dados]

DESCRIÇÃO
Battle for Wesnoth é um jogo de estratégia em turnos em um mundo de fantasia. Escolha um conjunto balanceado de tropas para destruir todos os líderes inimigos, gerenciando seus recursos de ouro e aldeias. Todas as unidades têm seus pontos fortes e fracos; para vencer, você precisará saber utilizar suas próprias tropas, e impedir seu inimigo de usar as dele. Conforme as unidades ganham experiência, elas adquirem novas habilidades e ficam mais poderosas. Jogue o jogo em seu próprio idioma, e teste sua habilidade contra o computador, ou contra a grande comunidade de jogadores online de wesnoth. Crie unidades personalizadas, cenários ou campanhas, e divida-os com seus amigos.

OPÇÕES

--bpp número
    define o valor de Bits por Pixel. Por exemplo: --bpp 32

--compress <arquivo de entrada> <arquivo de saída>
    compacta um arquivo de entrada no formato WML de texto para o formato WML binário.

-d, --debug
    Mostra informações extras para debug, e permite o uso do modo de comando dentro do jogo (veja a Wiki em http://www.wesnoth.org para maiores informações sobre o modo de comando).

--decompress <arquivo de entrada> <arquivo de saída>
    descompacta um arquivo de jogo (entrada) que esta em formato WML binário para o formato WML texto.

-f, --fullscreen
    executa o jogo em modo tela cheia.

--fps
    exibe o número de frames por segundo atual do jogo em um canto da tela.

-h, --help
    exibe um resumo das opções de linha de comando para a saída padrão, e termina.

--load jogo salvo
    carrega o arquivo de jogo do diretório padrão de jogos salvos.

--log-error="domínio1,domínio2,...", --log-warning="...", --log-info="..."
    configura o nível de importância de cada domínios de debug. "all" pode ser usado para escolher todos os domínios. --log-info mostra todas as mensagens, <B--log-warning> mostra apenas avisos e erros, e --log-error mostra apenas os erros.

--multiplayer
    executa um jogo multijogador. Há opções extras que podem ser usadas juntamente com --multiplayer conforme explicado abaixo.

--nocache
    desabilida o cache de dados do jogo.

--nosound
    executa o jogo sem sons e música.

--path
    imprime o nome do diretório de dados do jogo, e sai.

-r, --resolution\ XxY
    configura a resolução da tela. Por exemplo: -r 800x600

-t, --test
    executa o jogo em um pequeno cenário de teste.

-v, --version
    mostra o número da versão e sai.

-w, --windowed
    executa o jogo em modo janela.

--no-delay
    executa o jogo sem atrasos para benchmark de gráficos. Isto é selecionado automaticamente pela opção --nogui.

--exit-at-end
    sai do jogo quando o cenário terminar, sem mostrar uma tela de vitória/derrota que requer que o usuário aperte OK. Isto pode ser usado para scripts de benchmark.

Opções para --multiplayer
As opções específicas para times em modo multijogador estão marcadas com <número>. <número> deve ser substituido pelo número de um time. Normalmente esse número é 1 ou 2, mas isso depende do número de jogadores permitidos no cenário escolhido.

--algorithm<número>=valor
    escolhe um algoritmo não padrão para ser usado pelo controlador de AI para este time. Valores possíveis: "idle_ai" e "sample_ai".

--controller<número>=valor
    escolhe o controlador deste time. Valores possíveis: "human" e "ai".

--era=valor
    use esta opção para jogar na era selecionada, ao invéz da era "Padrão". Você escolhe a era pelo seu númedo de identificação (id). As eras disponíveis estão listadas no arquivo data/multiplayer.cfg.

--nogui
    executa o jogo sem a GUI. Deve ser usado antes de --multiplayer para ter o efeito desejado.

--parm<número>=nome:valor
    configura parâmetros extras para este time. Esta opção depende das opções usadas com --controller e --algorithm. Ela só tem utilidade para pessoas criando suas próprias IA. (não esta completamente documentado ainda)

--scenario=valor
    seleciona um cenário multijogador. O cenário padrão é "multiplayer_Charge".

--side<número>=valor
    seleciona uma facção da era atual para este time. A facção é escolhida por um número de identificação (id). As facções estão descritas no arquivo data/multiplayer.cfg.

--turns=valor
    define o número de turnos para o cenário escolhido. O padrão é "50".

Exemplo para testar sua própria AI:
    wesnoth --multiplayer --controller2=python_ai --algorithm2=python_ai --parm2python_script:py/meu_script_python_ai.py --side2=Rebels

AUTOR
Escrito por David White <davidnwhite@verizon.net>.
Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton@sonnenkinder.org>.
Esta página de manual foi escrita originalmente por Cyril bouthors <cyril@bouthors.org>.
Visite a página oficial do projeto: http://www.wesnoth.org/

COPYRIGHT
Copyright \(co 2003-2006 David White <davidnwhite@verizon.net>
Este programa é Free Software; este programa esta licensiado sob a GPL versão 2, conforme publicada pela Free Software Foundation. NÃO há QUALQUER garantia para o programa; nem mesmo a garantia de COMERCIALIZAÇÃO, e as de ADEQUAÇÃO A QUALQUER PROPÓSITO.

VEJA TAMBÉM
wesnoth_editor(6), wesnothd